#
# spec file for package file (Version 3.22)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         file
Release:      20
Copyright:    
Group: 
Provides:     file 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.22
Summary:      determine file type
Source: file-3.22.tar.gz
Patch: file-3.22.dif
%description
With "file" you can obtain information on the file type of a specified
file. File type recognition is controlled by the file /etc/magic, which
contains the classification criteria. This command is used by apsfilter
to permit automatic printing of different file types.

Authors:
--------
    Mark Moraes <moraes@deshaw.com>
    Christos Zoulas <christos@deshaw.com>

%prep
%setup
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/etc/magic
/usr/bin/dcore
/usr/bin/file
/usr/lib/magic
%doc /usr/man/man1/file.1.gz
%doc /usr/man/man4/magic.4.gz

